<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/style.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Delete Composition</title>
    <link href="./bass-clef-48.ico" rel="shortcut icon" type="image/x-icon">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light fixed-top">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="./compositions.html">Compositions</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="./composers.html">Composers</a>
            </li>
            <li class="nav-item" id="users-link" hidden>
                <a class="nav-link" href="./users.html">Users</a>
            </li>
            <li class="nav-item" id="login-nav-item">
                <a class="nav-link" onclick="logout()" href='./index.html'>Log Out</a>
            </li>
        </ul>
    </div>
</nav>
<div class="container" style="width: 30em;">
    <div class="container white-background py-3"  style="width: 30em;">
        <form class="form-signin" id="delete-form">
            <div class="mb-3">
                <label for="composition" class="form-label">Composition to delete</label>
                <select name="composition" id="composition" value="composition" class="form-control">

                </select>
            </div>
            <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal">Delete</button>

            <div id="deleteModal" class="modal fade" role="dialog">
                <div class="modal-dialog">
            
                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-body">
                    <p>Are you sure you want to delete that composition?</p>
                    </div>
                    <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                    <button type="button" id="delete-composition" class="btn btn-danger" data-dismiss="modal">Delete</button>
                    </div>
                </div>
            
                </div>
            </div>
        </form>
    </div>
    <div id="create-msg" hidden></div>
</div>

<script>

</script>

<script src="../scripts/delete-composition.js"></script>
<script src="../scripts/server-requests.js"></script>

<script>
    function logout() {
        sessionStorage.removeItem('authToken');
    }
</script>

</body>

</html>